PSL(1)

NAME
psl - Explore the Public Suffix List

SYNOPSIS
psl [options] <domains...>

DESCRIPTION
`psl' explores the Public Suffix List. It takes a list of domains on the command line, or if no domains are present on the command line, it reads one domain per line from standard input. It prints its results to standard output, with each line containing one domain followed by a colon, followed by the relevant information for that domain.

MODES
The information printed per domain changes based on the selected mode.
Available modes are:

--is-public-suffix
    check if domains are public suffixes. [default]
    Returned data: 1 if the domain is a public suffix, 0 otherwise.
    This option can be combined with --no-star-rule. It's use will switch off the PSL 'prevailing star rule' so that all TLDs not explicitly listed in the PSL will return 0 (not a public suffix).

--is-cookie-domain-acceptable <cookie-domain>
    check if cookie-domain is acceptable for domains.
    Returned data: 1 if cookie-domain is acceptable for the domain, 0 otherwise.

--print-unreg-domain
    Returned data: the longest public suffix part for each domain.

--print-reg-domain
    Returned data: the shortest private suffix part for each domain.

VERSION INFORMATION
`psl' can instead be used to report information about the version of the library and its built-in Public Suffix data:

--version
    show library version information

--print-info
    print info about library builtin data

PUBLIC SUFFIX DATA
By default, `psl' will use the latest available Public Suffix data.
You can also direct it to use a different file:

--use-latest-data
    use the latest available PSL data [default]

--use-builtin-data
    use the builtin PSL data

--load-psl-file <filename>
    load PSL data from file

SEE ALSO
https://publicsuffix.org/ https://github.com/rockdaboot/libpsl

COPYRIGHT
libpsl and `psl' are copyright © Tim Rühsen and Libpsl contributors under an MIT-style License.
This documentation was written by Daniel Kahn Gillmor for the Debian project, but may be used by others under the same license as libpsl itself.